Recent

Author Topic: Can`t find libpq.dylib  (Read 9058 times)

jrmit

  • New Member
  • *
  • Posts: 10
  • Obj Pascal Sings!
Re: Can`t find libpq.dylib
« Reply #15 on: October 09, 2012, 02:01:01 am »


otool -L /Library/PostgreSQL/8.4/pgAdmin3.app/Contents/MacOS/pgAdmin3 | grep libpq
   @executable_path/../../Contents/Frameworks/libpq.5.dylib (compatibility version 5.0.0, current version 5.2.0)
   @executable_path/../../Contents/Frameworks/libpq.5.dylib (compatibility version 5.0.0, current version 5.2.0)

{This tells me that version 8.4 uses libpq.5.dylib}

{The symlink shown below allowed me to use the libpq.dylib from "pgAdmin3"}

1. cd /Library/PostgreSQL/8.4/pgAdmin3.app/Contents/MacOS/Frameworks

2. sudo ln -s libpq.5.dylib /usr/lib/libpq.dylib

jrmit

  • New Member
  • *
  • Posts: 10
  • Obj Pascal Sings!
Re: Can`t find libpq.dylib
« Reply #16 on: October 09, 2012, 02:32:35 am »
Sorry, made a typo -do not include MacOS in the string.  In step 1 use:

cd /Library/PostgreSQL/8.4/pgAdmin3.app/Contents/Frameworks

 

TinyPortal © 2005-2018